server:
  port: 3000
# 加解密根密码
jasypt:
  encryptor:
    password: pig #根密码
# 前端界面秘钥
gateway:
  encode-key: 'thanks,pig4cloud'
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS

# mybaits-plus配置
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0
  configuration:
    map-underscore-to-camel-case: true

# spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(27v1agvAug87ANOVnbKdsw==)
      client-secret: ENC(VbnkopxrwgbFVKp+UxJ2pg==)
      scope: server
    resource:
      loadBalanced: true
      token-info-uri: http://yifu-auth/oauth/check_token
    # 通用放行URL，服务个性化，请在对应配置文件覆盖
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**


# Spring 相关
spring:
  application:
    name: @artifactId@
---
spring:
  config:
    #import:
    #  - classpath: application-test.yml
    activate:
      on-profile: test
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  redis:
    host: 192.168.1.65
    port: 22379
    password: '@yf_2017'
  cloud:
    sentinel:
      eager: true
      transport:
        dashboard: yifu-sentinel:5003
  # 数据源
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    #url: jdbc:mysql://127.0.0.1:3306/yifu_upms?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    url: jdbc:mysql://192.168.1.65:22306/yifu_upms?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
  freemarker:
    allow-request-override: false
    allow-session-override: false
    cache: true
    charset: UTF-8
    check-template-location: true
    content-type: text/html
    enabled: true
    expose-request-attributes: false
    expose-session-attributes: false
    expose-spring-macro-helpers: true
    prefer-file-system-access: true
    suffix: .ftl
    template-loader-path: classpath:/templates/

---
spring:
  config:
    #import:
    #  - classpath: application-test.yml
    activate:
      on-profile: dev
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  redis:
    host: 127.0.0.1
    password: '@yf_2017'
  cloud:
    sentinel:
      eager: true
      transport:
        dashboard: yifu-sentinel:5003
  # 数据源
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.1.65:22306/yifu_upms?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
  freemarker:
    allow-request-override: false
    allow-session-override: false
    cache: true
    charset: UTF-8
    check-template-location: true
    content-type: text/html
    enabled: true
    expose-request-attributes: false
    expose-session-attributes: false
    expose-spring-macro-helpers: true
    prefer-file-system-access: true
    suffix: .ftl
    template-loader-path: classpath:/templates/
